#version 330 core

in vec2 vTexCoord;

layout (location = 0) out vec4 FragColorTextured;
layout (location = 1) out vec4 FragColorUV;

uniform sampler2D uTexture;

void main()
{
    vec4 texColor = texture(uTexture, vTexCoord);

    FragColorTextured = vec4(texColor.xyz, 1.0f);

    FragColorUV = vec4(vTexCoord, 0, 1);
} 